/*---------------------------------------------------------------------------------------------------------*/
/*                                              StartSimulation                                            */
/*---------------------------------------------------------------------------------------------------------*/

import swarm.Globals;
import swarm.defobj.Zone;

public class StartSimulation
{
    /*-----------------------------------------------------------------------------------------*/
    /*                                        Main method                                      */
    /*-----------------------------------------------------------------------------------------*/

    public static void main(String args[])
    {

	ModelSwarm modelSwarm;

	// Swarm initialization : all Swarm apps must call this first
	Globals.env.initSwarm("StartSimulation","2.1","bug-swarm@santafe.edu",args);

	modelSwarm = new ModelSwarm(Globals.env.globalZone);

	modelSwarm.buildObjects();
	modelSwarm.buildActions();
	modelSwarm.activateIn(null);

	// Activate the swarm
	(modelSwarm.getActivity()).run();
    }
}

/*----------------------------------------------------------------------------------------------------------*/
/*                                            End of StartSimulation                                        */
/*----------------------------------------------------------------------------------------------------------*/
