/*----------------------------------------------------------------------------------------------------------*/
/*                                                 Point                                                  */
/*----------------------------------------------------------------------------------------------------------*/

// This class defines a point with coordinates


public class Point
{
    int xPos;
    int yPos;

    /*---------------------------------------------------------------------------------*/
    /*                                    Constructors                                  */
    /*---------------------------------------------------------------------------------*/

    // Default constructor

    public Point()
    {
	xPos = 0;
	yPos = 0;
    }

    // Constructor with variables

    public Point(int x,int y)
    {
	xPos = x;
	yPos = y;
    }

    /*---------------------------------------------------------------------------------*/
    /*                                      getX                                       */
    /*---------------------------------------------------------------------------------*/

    // Description : return the x position of the point

    public int getX()
    {
	return xPos;
    }

    /*---------------------------------------------------------------------------------*/
    /*                                      getY                                       */
    /*---------------------------------------------------------------------------------*/

    // Description : return the y position of the point

    public int getY()
    {
	return yPos;
    }

}

/*---------------------------------------------------------------------------------------------------------*/
/*                                                 End of Point                                          */
/*---------------------------------------------------------------------------------------------------------*/
