/*----------------------------------------------------------------------------------------------------------*/
/*                                                 Species                                                  */
/*----------------------------------------------------------------------------------------------------------*/

// This class defines a species


public class Species
{
    int xPos;
    int yPos;

    int number;
    int type;

    /*---------------------------------------------------------------------------------*/
    /*                                    Constructors                                  */
    /*---------------------------------------------------------------------------------*/

    // Default constructor

    public Species()
    {
	xPos = 0;
	yPos = 0;

	number = 0;
	type = 0;
    }

    // Constructor with variables

    public Species(int x,int y,int n,int t)
    {
	xPos = x;
	yPos = y;

	number = n;
	type = t;
    }

    /*---------------------------------------------------------------------------------*/
    /*                                      getType                                    */
    /*---------------------------------------------------------------------------------*/

    // Description : return the type of the species

    public int getType()
    {
	return type;
    }

    /*---------------------------------------------------------------------------------*/
    /*                                  Report Position                                */
    /*---------------------------------------------------------------------------------*/

    public void reportPosition()
    {
	System.out.println("Species number "+ number +" type "+ type +" is at ("+ xPos +","+ yPos +")" );
    }

}

/*---------------------------------------------------------------------------------------------------------*/
/*                                                 End of Species                                          */
/*---------------------------------------------------------------------------------------------------------*/
